using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace _B__Finale
{
    class Program
    {
        static void Main(string[] args)
        {

            long n, m;

            var ulaz = Console.ReadLine().Split();
            n = long.Parse(ulaz[0]);
            m = long.Parse(ulaz[1]);

            if (m == 1 && n == 1)
            {
                Console.WriteLine(1);
                return;
            }

            long broj = 2 * (n + m) - 4;

            Console.WriteLine((n * m - broj) / 2 + broj);

        }
    }
}